CADDIT CAD CAM CNC Software - download AutoCAD compatible design software progeCAD Alibre T-FLEX and more
CADDIT Website Knowledge Base Search:
CL

progeCAD Help

CR
Welcome to progeCAD
Working with progeCAD
Command Reference
CAD System Variables
Programming progeCAD
Full Index (caution - 400kb)

Further Links:

Download progeCAD
Register progeCAD

Learning

T-FLEX PLM tutorial (PDF)
progeCAD IntelliCAD and AutoCAD training 
CATIA 2D 3D design tutorial
Alibre CAD/CAM basic tutorial

Resources

Educational CAD Software Solutions
Python scripting for DOS and Windows
Other free software downloads
CADDIT CAD CAM Forum Australia
__

EndPoint property example

Private Sub EndPointExample()

' This example adds an arc and returns the start and end points.

     Dim icadDoc As progeCAD.Document

     Dim myArc As Arc

     Dim cenPt As progeCAD.Point

     Dim myObj As Object

     Dim myStartPt As Point

     Dim myEndPt As Point

     Set icadDoc = ActiveDocument

     Set cenPt = Library.CreatePoint(4, 2)

     'Add the arc to the .dwg

     Set myArc = icadDoc.ModelSpace.AddArc(cenPt, 3, 1, 3)

     ' Display the entity

     myArc.Update

     Set myStartPt = myArc.StartPoint

     Set myEndPt = myArc.EndPoint

     MsgBox "Start Point = " & myStartPt.x & ", " & myStartPt.y & ", " & myStartPt.z & Chr(13) & "End Point = " & myEndPt.x & ", " & myEndPt.y & ", " & myEndPt.z, , "Arc Points"

End Sub

CADDIT® is a registered trademark in Australia. All Rights Reserved. Comments concerning the content of this site should be addressed to our webmaster. progeCAD is a trademark of ProgeCAD srl. Autodesk® and AutoCAD® are both registered trademarks or trademarks of a third party, and used only for comparison purposes. All other trademarks, trade names or company names referenced herein are used for identification only and are the property of their respective owners. Legal and Terms of Use. Google. Find us on Google+.